> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.ovrsea.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a purchase order

> Create a purchase order with the information provided



## OpenAPI

````yaml /openapi.json post /v1/purchaseOrders
openapi: 3.1.0
info:
  title: OVRSEA API
  version: 1.3.2
servers:
  - url: https://api.cf.ovrsea.com
security: []
paths:
  /v1/purchaseOrders:
    post:
      tags:
        - Purchase Orders
      summary: Create a purchase order
      description: Create a purchase order with the information provided
      requestBody:
        content:
          application/json:
            schema:
              properties:
                custom_parameters:
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        example: parameter1
                      value:
                        type: string
                        example: value1
                  type: array
                desired_delivery_date:
                  $ref: '#/components/schemas/SimpleDate'
                desired_ex_factory_date:
                  $ref: '#/components/schemas/SimpleDate'
                product_lines:
                  items:
                    properties:
                      ordered_quantity:
                        example: 24
                        type: number
                      product:
                        $ref: '#/components/schemas/Product'
                      reference:
                        example: 'Delivery #1'
                        type: string
                      unit_price:
                        $ref: '#/components/schemas/Price'
                      volume:
                        example: 15
                        type: number
                      volume_unit:
                        type: string
                        example: m3
                    required:
                      - product
                      - ordered_quantity
                    type: object
                  type: array
                reference:
                  type: string
                  example: PO5792303
                supplier_id:
                  example: Detroit Factory
                  type: string
              required:
                - reference
                - supplier_id
                - product_lines
              type: object
        required: true
      responses:
        '201':
          description: Purchase order created
          content:
            application/json:
              schema:
                description: Purchase order created
                properties:
                  reference:
                    type: string
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Bad request
                type: object
components:
  schemas:
    SimpleDate:
      modelName: SimpleDate
      type: string
      example: '2021-10-11'
    Product:
      type: object
      required:
        - sku
      modelName: Product
      properties:
        sku:
          type: string
          example: REF0123458
        hs_code:
          type: string
          example: '96032930'
        description:
          type: string
          example: blue shirt with a T shape
        is_hazardous:
          type: boolean
          default: 'false'
        hazardous_description:
          type: string
          example: UN1993
        custom_parameters:
          type: array
          description: Array of up to 3 custom parameters
          items:
            type: object
            properties:
              name:
                type: string
                example: parameter1
              value:
                type: string
                example: value1
    Price:
      modelName: Price
      type: object
      properties:
        amount:
          type: number
          format: float
          example: 150357.99
        currency:
          type: string
          enum:
            - AED
            - AUD
            - BHD
            - BRL
            - CAD
            - CHF
            - CNY
            - DKK
            - EUR
            - GBP
            - HKD
            - IDR
            - INR
            - JPY
            - MXN
            - KRW
            - KWD
            - MYR
            - NOK
            - NZD
            - PLN
            - SEK
            - SGD
            - THB
            - TND
            - TWD
            - USD
            - XOF
            - XPF
            - ZAR
          example: USD

````